﻿namespace SteplineTest
{
    using System.Windows;
    using System.Windows.Controls;
    using System.Windows.Navigation;
    using System.Collections.Generic;
    using System;
    using Infragistics.Controls.Charts;

    /// <summary>
    /// <see cref="UserControl"/> class providing the main UI for the application.
    /// </summary>
    public partial class MainPage : UserControl
    {
        /// <summary>
        /// Creates a new <see cref="MainPage"/> instance.
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            AddSeries();
        }

        private void AddSeries()
        {
            // create the data
            var data = new Dictionary<DateTime, int>();
            DateTime start = DateTime.Now;
            for (int i = 0; i < 10; i++)
            {
                data.Add(start.AddSeconds(i), i + 1);
            }
            data.Add(DateTime.Now.AddSeconds(900), 5);
            data.Add(DateTime.Now.AddSeconds(990), 8);

            xmDataChart.DataContext = data;
        }
    }
}